
QGIS Application - Bug report #188

Edits of an added feature do not commit

2006-07-11 06:45 PM - Brendan Morley -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 10247

Description

In theory, if you add a feature to a layer, then show that layer in the attribute table, then edit an attribute of the new feature, then Stop

Editing, then save your changes, the changed attribute values will not get committed.

The bug appears to be in the following if{} block illustrated in: 

http://svn.qgis.org/trac/browser/trunk/qgis/src/gui/qgsvectorlayer.cpp?rev=5584#L3358

This may not actually be a bug, but it didn't look right, and I don't have time to investigate at the moment.

History

#1 - 2006-07-12 06:34 AM - Marco Hugentobler

This works for me. I just edited an attribute value of an uncommited feature. Did you do anything special to get the bug?

Marco

#2 - 2006-07-23 08:10 PM - Brendan Morley -

- Resolution set to invalid

- Status changed from Open to Closed

I'll close as it was a theoretical bug.  In fact, I looked a little further and realised that the assumption made in the original code passage was valid.

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
